program fjf263;

function foo (var t : string) : boolean;
begin
  t := 'OK';
  foo := true
end;

function bar (s : string) : boolean;
begin
  writeln (s);
  bar := true
end;

var
  t : string (10);

begin
  t := 'failed';
  if foo (t) and bar (t) then;
end.
